### Method

# Gimp Matrix3 transform_point

#### Declaration [src]

    void
    gimp_matrix3_transform_point (
      const GimpMatrix3* matrix,
      gdouble x,
      gdouble y,
      gdouble* newx,
      gdouble* newy
    )

#### Description [src]

Transforms a point in 2D as specified by the transformation matrix.

#### Parameters

`x` | `gdouble`
| The source X coordinate.
`y` | `gdouble`
| The source Y coordinate.
`newx` | `gdouble*`
| The transformed X coordinate.
| The data is owned by the caller of the function.
`newy` | `gdouble*`
| The transformed Y coordinate.
| The data is owned by the caller of the function.